import { jsx } from "react/jsx-runtime";
import { RobotIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Robot = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Robot", ...props, children: /* @__PURE__ */ jsx(RobotIcon, { weight: variant }) });
  }
);
Robot.displayName = "Robot";
Object.assign(Robot, { isGdsIcon: true });
export {
  Robot
};
